CREATE TABLE IF NOT EXISTS `wimax` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `username` varchar(64) NOT NULL,
  `wimax-session-id` char(32) NOT NULL,
  `calling-station-id` char(17) NOT NULL,
  `nas-id` varchar(64) NOT NULL default '',
  `nas-ip-address` varchar(39) NOT NULL default '',
  `framed-ip-address` varchar(39) NOT NULL default '',
  `mip-rk` binary(32) default NULL COMMENT 'sha256 hash',
  `fa-rk` binary(20) default NULL COMMENT 'sha1 hash',
  `fa-rk-spi` int(10) unsigned default NULL,
  `mn-ha-key` binary(20) default NULL COMMENT 'sha1 hash',
  `mn-ha-spi` int(10) unsigned default NULL,
  `hha-ip-address` varchar(39) NOT NULL default '',
  `vha-ip-address` varchar(39) NOT NULL default '',
  `authdate` timestamp NOT NULL default '0000-00-00 00:00:00' on update CURRENT_TIMESTAMP,
  `lifetime` int(11) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `username` (`username`),
  KEY `mn-ha-spi` (`mn-ha-spi`),
  KEY `hha-ip-address` (`hha-ip-address`),
  KEY `session_identification` (`username`,`wimax-session-id`),
  KEY `authdate` (`authdate`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
